GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []long | List of object IDs |
| relationType | yes | int | Relationship type |
| searchType | yes | int | Search type: 1 for querying parent objects, 2 for querying child objects, 3 for querying all child objects of the parent |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | []ObjectInfo | Query results |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getObjectRelation { getObjectRelation(input: { objectIdList: [\"1898721\"], relationType: 1, searchType: 3 }) { errorCode errorInfo result { objectId objectName objectType nestedObjects { objectList } } } }"
}'{
"data": {
"getObjectRelation": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"objectId": "1399891",
"objectName": "testname111",
"objectType": 4,
"nestedObjects": [
{
"objectList": [
"1901923",
"2213718",
"3213212"
]
},
{
"objectList": [
"4128123",
"573982810",
"673611032"
]
}
]
}
]
}
}
}